Bug 225123 - :%! does not update display/buffer
:%! does not update display/buffer
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
rawhide
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Karsten Hopp
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-28 23:13 EST by Jan Kratochvil
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-29 13:35:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2007-01-28 23:13:46 EST
Description of problem:
After I filter current buffer by `:%!tr . y' the command succeeds but both the
display and the buffer remain unchanged.

Version-Release number of selected component (if applicable):
vim-common-7.0.188-3.i386
vim-enhanced-7.0.188-3.i386
vim-minimal-7.0.188-3.i386
(Updated+rebooted RawHide.i386.)

How reproducible:
Almost always, in 20% of cases it is working, adding more newlines to the buffer
before `:%!' etc. may possibly improve the reproducibility

Steps to Reproduce:
1. (possibly delete ~/.vimrc ~/.bashrc for clean environment)
2. /bin/vi or /usr/bin/vim
3. iXXX<Esc>:%!tr . y
4. Possibly also: /y
  
Actual results:
Displayed buffer still contains XXX.
Search for `X' finds it (`y' fails).

Expected results:
Displayed buffer should contain yyy.
Search for `y' finds it.

Additional info:
My last tested working version was 6.4.007-4.i386.
Comment 1 Karsten Hopp 2007-01-29 04:11:04 EST
Deleting vimrc isn't required, just start vim with '-u NONE -U NONE'

VIm works like expected on my system. What are your $TERM $LANG settings and 
which terminal are you using (linux-console, konsole, gnome-terminal,...) ?

Does Ctrl-l       (L)  refesh the screen so that the changes made by tr are 
visible ?
Comment 2 Jan Kratochvil 2007-01-29 08:42:13 EST
COLORTERM=gnome-terminal
TERM=xterm
LANG=en_US.UTF-8
LC_COLLATE=C
gnome-terminal-2.17.90-1.fc7.i386

It should not be a displaying problem - I wrote above the search for `y' fails
(sure I also tried CTRL-L, flip to other page etc.).  You should try it 2-5
times times - it is not 100% reproducible.

OK, going to check it locally more asi it breaks my various macros.

(-u/-U - thanks although I just wanted to assure I do not have some broken stuff
there.)
Comment 3 Jan Kratochvil 2007-01-29 13:35:10 EST
Sorry the report was completely invalid.
Sure "tr . y" does not translate any character as tr(1) does not use regex.
I just tried to minimize the reproducibility case and...

The bug is just broken gnome-terminal(1) displaying, going to check elsewhere.

Note You need to log in before you can comment on or make changes to this bug.